Skip to main content

Internet X.509 Public Key Infrastructure Subject Identification Method (SIM)
RFC 4683

Revision differences

Document history

Date Rev. By Action
2020-01-21
08 (System) Received changes through RFC Editor sync (added Verified Errata tag)
2018-12-20
08 (System)
Received changes through RFC Editor sync (changed abstract to 'This document defines the Subject Identification Method (SIM) for including a privacy-sensitive identifier in the subjectAltName …
Received changes through RFC Editor sync (changed abstract to 'This document defines the Subject Identification Method (SIM) for including a privacy-sensitive identifier in the subjectAltName extension of a certificate.

The SIM is an optional feature that may be used by relying parties to determine whether the subject of a particular certificate is also the person corresponding to a particular sensitive identifier. [STANDARDS-TRACK]')
2017-05-16
08 (System) Changed document authors from "Sungjun Park, Jongwook Park, H.. Lee" to "Sungjun Park, Jongwook Park, H.. Lee, Tim Polk, Jaeil Lee"
2015-10-14
08 (System) Notify list changed from kent@bbn.com, stefans@microsoft.com to (None)
2012-08-22
08 (System) post-migration administrative database adjustment to the No Objection position for Ted Hardie
2006-10-10
08 Amy Vezza State Changes to RFC Published from RFC Ed Queue by Amy Vezza
2006-10-10
08 Amy Vezza [Note]: 'RFC 4683' added by Amy Vezza
2006-10-05
08 (System) RFC published
2006-07-24
08 Amy Vezza State Changes to RFC Ed Queue from Approved-announcement sent by Amy Vezza
2006-07-20
08 Amy Vezza IESG state changed to Approved-announcement sent
2006-07-20
08 Amy Vezza IESG has approved the document
2006-07-20
08 Amy Vezza Closed "Approve" ballot
2006-07-19
08 Russ Housley State Changes to Approved-announcement to be sent from IESG Evaluation::AD Followup by Russ Housley
2006-07-18
08 Ted Hardie [Ballot Position Update] Position for Ted Hardie has been changed to No Objection from Discuss by Ted Hardie
2006-07-13
08 (System) Sub state has been changed to AD Follow up from New Id Needed
2006-07-13
08 (System) New version available: draft-ietf-pkix-sim-08.txt
2006-07-11
08 Russ Housley State Changes to IESG Evaluation::Revised ID Needed from DNP-waiting for AD note by Russ Housley
2006-07-11
08 Russ Housley State Changes to DNP-waiting for AD note from IESG Evaluation::Revised ID Needed by Russ Housley
2006-07-11
08 Russ Housley Status date has been changed to 2006-08-01 from
2006-07-10
08 Russ Housley State Changes to IESG Evaluation::Revised ID Needed from IESG Evaluation::AD Followup by Russ Housley
2006-07-10
08 Russ Housley State Change Notice email list have been change to kent@bbn.com, stefans@microsoft.com from kent@bbn.com, stefans@microsoft.com, jhyoon@kisa.or.kr
2006-05-30
08 Russ Housley State Change Notice email list have been change to kent@bbn.com, stefans@microsoft.com, jhyoon@kisa.or.kr from kent@bbn.com, wpolk@nist.gov, jhyoon@kisa.or.kr
2006-03-31
08 (System) Removed from agenda for telechat - 2006-03-30
2006-03-30
08 Amy Vezza State Changes to IESG Evaluation::AD Followup from IESG Evaluation by Amy Vezza
2006-03-30
08 Lisa Dusseault
[Ballot comment]
I don't understand this field very well yet, and in particular I do not understand how SIITypes will be defined.  Will they be …
[Ballot comment]
I don't understand this field very well yet, and in particular I do not understand how SIITypes will be defined.  Will they be defined in a registry, or by separate drafts or other?
2006-03-30
08 (System) [Ballot Position Update] New position, No Objection, has been recorded for Ross Callon by IESG Secretary
2006-03-30
08 Sam Hartman [Ballot Position Update] New position, No Objection, has been recorded for Sam Hartman by Sam Hartman
2006-03-30
08 Lisa Dusseault [Ballot Position Update] New position, No Objection, has been recorded for Lisa Dusseault by Lisa Dusseault
2006-03-30
08 Mark Townsley [Ballot Position Update] New position, No Objection, has been recorded for Mark Townsley by Mark Townsley
2006-03-30
08 Jon Peterson [Ballot Position Update] New position, No Objection, has been recorded for Jon Peterson by Jon Peterson
2006-03-30
08 Dan Romascanu [Ballot Position Update] Position for Dan Romascanu has been changed to No Objection from Undefined by Dan Romascanu
2006-03-29
08 Bill Fenner [Ballot Position Update] New position, No Objection, has been recorded for Bill Fenner by Bill Fenner
2006-03-29
08 Michelle Cotton IANA Comments:
We understand that this document itself does not create any registries or require and IANA Actions.
2006-03-29
08 Jari Arkko [Ballot comment]
The IANA considerations and registration requirements for SIItypes are quite weak. Better interoperability would be achieved if there was a required registry.
2006-03-29
08 Jari Arkko [Ballot Position Update] New position, No Objection, has been recorded for Jari Arkko by Jari Arkko
2006-03-29
08 Brian Carpenter [Ballot comment]
Was any thought given to the likelihood that somebody will be
upset by the use of a prominent trademark as an acronym?
2006-03-29
08 Brian Carpenter [Ballot Position Update] New position, No Objection, has been recorded for Brian Carpenter by Brian Carpenter
2006-03-28
08 Cullen Jennings [Ballot Position Update] New position, No Objection, has been recorded for Cullen Jennings by Cullen Jennings
2006-03-28
08 Ted Hardie
[Ballot discuss]
I do not believe this document adequately describes why the binding of privacy sensitive identifiers
to certificates is the appropriate way to manage …
[Ballot discuss]
I do not believe this document adequately describes why the binding of privacy sensitive identifiers
to certificates is the appropriate way to manage the use cases they describe.  Given the description,
use of other cryptographic means to create an appropriately protected object which contains
an assertion by Alice seems to be reduce the number of people to whom Alice must reveal
this information by taking the registration authority (and possibly the certificate authority) out
of the picture. To handle this, I believe the authors must describe why something like a signed,
encrypted S/MIME  object containing a message to Bob like "My employee number is 485-777-883AG" 
does not meet the case.

This document also consistently uses the U.S. Social Security Number as an example.  While it
describes it as one of a class of privacy sensitive identifiers:

  On the other hand, such an identifier is not actually a secret.
  People choose to disclose these identifiers for certain classes of
  transactions. For example, a person may disclose his/her Social
  Security Number to open a bank account or obtain a loan. This is
  typically corroborated by presenting physical credentials (e.g., a
  driver license) that confirm the person's name or address.

the Security Considerations section's description of the short length of
and other issues with SII's make it clear that this is a very dominant use
case.  A more problematic example could hardly be found.  The use of
SSNs, and their association with specific classes of data, is the subject
of considerable legislation and legal wrangling.  The U.S. privacy act of 1974
restricted its use, and various homeland security regulations have since
expanded the cases in which it must be tightly bound to other identifiers
if it is bound at all. 

If it is to be used here as an example, I believe the authors
must at least describe why the use of SIM or PEPSI avoids implication in that
legal framework (which plaintext inclusion clearly would not).  If they cannot
do so, I strongly suggest they pick another example.
2006-03-28
08 Ted Hardie [Ballot Position Update] New position, Discuss, has been recorded for Ted Hardie by Ted Hardie
2006-03-28
08 Lars Eggert [Ballot Position Update] New position, No Objection, has been recorded for Lars Eggert by Lars Eggert
2006-03-27
08 Dan Romascanu
[Ballot comment]
Is there any special reason that the appendix uses the ASN.1:1988 Notation rahter than the current ASN.1:2002 notation? For differences and the process …
[Ballot comment]
Is there any special reason that the appendix uses the ASN.1:1988 Notation rahter than the current ASN.1:2002 notation? For differences and the process of changes between the two see http://www.itu.int/ITU-T/studygroups/com17/changing-ASN/index.html.
2006-03-27
08 Dan Romascanu [Ballot Position Update] New position, Undefined, has been recorded for Dan Romascanu by Dan Romascanu
2006-03-26
08 Magnus Westerlund [Ballot Position Update] New position, No Objection, has been recorded for Magnus Westerlund by Magnus Westerlund
2006-03-21
08 Russ Housley [Ballot Position Update] New position, Yes, has been recorded for Russ Housley
2006-03-21
08 Russ Housley Ballot has been issued by Russ Housley
2006-03-21
08 Russ Housley Created "Approve" ballot
2006-03-21
08 Russ Housley State Changes to IESG Evaluation from Waiting for AD Go-Ahead by Russ Housley
2006-03-21
08 Russ Housley Placed on agenda for telechat - 2006-03-30 by Russ Housley
2006-03-20
08 (System) State has been changed to Waiting for AD Go-Ahead from In Last Call by system
2006-03-06
08 Amy Vezza Last call sent
2006-03-06
08 Amy Vezza State Changes to In Last Call from Last Call Requested by Amy Vezza
2006-03-06
08 Russ Housley Last Call was requested by Russ Housley
2006-03-06
08 Russ Housley State Changes to Last Call Requested from AD Evaluation by Russ Housley
2006-03-06
08 (System) Ballot writeup text was added
2006-03-06
08 (System) Last call text was added
2006-03-06
08 (System) Ballot approval text was added
2006-03-06
08 Russ Housley State Changes to AD Evaluation from Publication Requested by Russ Housley
2006-03-02
08 Russ Housley State Changes to Publication Requested from AD is watching by Russ Housley
2006-02-21
07 (System) New version available: draft-ietf-pkix-sim-07.txt
2005-11-13
08 Russ Housley State Changes to AD is watching from Publication Requested by Russ Housley
2005-10-04
08 Russ Housley Draft Added by Russ Housley in state Publication Requested
2005-09-20
06 (System) New version available: draft-ietf-pkix-sim-06.txt
2005-06-07
05 (System) New version available: draft-ietf-pkix-sim-05.txt
2005-05-23
04 (System) New version available: draft-ietf-pkix-sim-04.txt
2004-07-20
03 (System) New version available: draft-ietf-pkix-sim-03.txt
2004-02-16
02 (System) New version available: draft-ietf-pkix-sim-02.txt
2003-10-27
01 (System) New version available: draft-ietf-pkix-sim-01.txt
2002-11-01
00 (System) New version available: draft-ietf-pkix-sim-00.txt